Package org.apache.sling.testing.clients.html

# Class MicrodataClient

java.lang.Object
org.apache.sling.testing.clients.AbstractSlingClient
org.apache.sling.testing.clients.SlingClient
org.apache.sling.testing.clients.html.MicrodataClient

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.http.client.HttpClient`, `org.apache.sling.hapi.client.HtmlClient`

public class MicrodataClient extends SlingClient implements org.apache.sling.hapi.client.HtmlClient

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sling.testing.clients.SlingClient

`SlingClient.Builder, SlingClient.InternalBuilder<T extends SlingClient>`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final org.slf4j.Logger`
`LOG`

### Fields inherited from class org.apache.sling.testing.clients.SlingClient

`CLIENT_CONNECTION_TIMEOUT_PROP, DEFAULT_NODE_TYPE, SUDO_COOKIE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`MicrodataClient(URI url, String user, String password)`
`MicrodataClient(org.apache.http.impl.client.CloseableHttpClient http, SlingClientConfig config)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.hapi.client.impl.microdata.MicrodataDocument`
`delete(String url)`
`org.apache.sling.hapi.client.impl.microdata.MicrodataDocument`
`enter(String url)`
`org.apache.sling.hapi.client.impl.microdata.MicrodataDocument`
`get(String url)`
`org.apache.sling.hapi.client.impl.microdata.MicrodataDocument`
`newDocument(String html)`
`org.apache.sling.hapi.client.impl.microdata.MicrodataDocument`
`post(String url, org.apache.http.HttpEntity entity)`

### Methods inherited from class org.apache.sling.testing.clients.SlingClient

`createFolder, createNode, createNodeRecursive, deletePath, doGetJson, endImpersonation, exists, getJsonNode, getJsonNode, getNodeNameFromPath, getParentPath, getUser, getUUId, getUUID, impersonate, importContent, importContent, importJson, move, setPropertiesString, setPropertyString, setPropertyStringArray, upload, waitExists, waitUntilExists`

### Methods inherited from class org.apache.sling.testing.clients.AbstractSlingClient

`adaptTo, addValue, close, doDelete, doGet, doGet, doGet, doHead, doPatch, doPost, doPost, doPut, doRawRequest, doRequest, doStreamGet, doStreamPost, doStreamRequest, execute, execute, execute, execute, execute, execute, execute, execute, getClientId, getConnectionManager, getCookieStore, getCredentialsProvider, getParams, getPassword, getPath, getPath, getUrl, getUrl, getUrl, getValue, getValues, hasValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

protected static final org.slf4j.Logger LOG

## Constructor Details

### MicrodataClient

public MicrodataClient(org.apache.http.impl.client.CloseableHttpClient http, SlingClientConfig config) throws ClientException

Throws:
  `ClientException`

### MicrodataClient

public MicrodataClient(URI url, String user, String password) throws ClientException

Throws:
  `ClientException`

## Method Details

### enter

public org.apache.sling.hapi.client.impl.microdata.MicrodataDocument enter(String url) throws org.apache.sling.hapi.client.ClientException

Specified by:
  `enter` in interface `org.apache.sling.hapi.client.HtmlClient`
Throws:
  `org.apache.sling.hapi.client.ClientException`

### get

public org.apache.sling.hapi.client.impl.microdata.MicrodataDocument get(String url) throws org.apache.sling.hapi.client.ClientException

Specified by:
  `get` in interface `org.apache.sling.hapi.client.HtmlClient`
Throws:
  `org.apache.sling.hapi.client.ClientException`

### post

public org.apache.sling.hapi.client.impl.microdata.MicrodataDocument post(String url, org.apache.http.HttpEntity entity) throws org.apache.sling.hapi.client.ClientException

Specified by:
  `post` in interface `org.apache.sling.hapi.client.HtmlClient`
Throws:
  `org.apache.sling.hapi.client.ClientException`

### delete

public org.apache.sling.hapi.client.impl.microdata.MicrodataDocument delete(String url) throws org.apache.sling.hapi.client.ClientException

Specified by:
  `delete` in interface `org.apache.sling.hapi.client.HtmlClient`
Throws:
  `org.apache.sling.hapi.client.ClientException`

### newDocument

public org.apache.sling.hapi.client.impl.microdata.MicrodataDocument newDocument(String html)

Specified by:
  `newDocument` in interface `org.apache.sling.hapi.client.HtmlClient`